org.eclipse.emf.cdo.security

## Interface SecurityItemContainer

- All Superinterfaces:
    SecurityItemProvider
  All Known Subinterfaces:
    Directory, InternalSecurityManager, ISecurityManager, Realm
  All Known Implementing Classes:
    DirectoryImpl, RealmImpl

      public interface SecurityItemContainer
      extends SecurityItemProvider

  A `security item provider` that `items` such as `users` or `roles` can be added to or removed from.
  Since:
    4.2
  Author:
    Eike Stepper
  No Implement
    This interface is not intended to be implemented by clients.
  No Extend
    This interface is not intended to be extended by clients.

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `Group` | `addGroup(java.lang.String id)`
    `Role` | `addRole(java.lang.String id)`
    `User` | `addUser(IPasswordCredentials credentials)`
    `User` | `addUser(java.lang.String id)`
    `User` | `addUser(java.lang.String id, java.lang.String password)`
    `Group` | `removeGroup(java.lang.String id)`
    `Role` | `removeRole(java.lang.String id)`
    `User` | `removeUser(java.lang.String id)`
    `User` | `setPassword(java.lang.String id, java.lang.String password)`

    - ### Methods inherited from interface org.eclipse.emf.cdo.security.SecurityItemProvider

      `getGroup, getRole, getUser`

- - ### Method Detail

    - #### addRole

          Role addRole(java.lang.String id)

    - #### addGroup

          Group addGroup(java.lang.String id)

    - #### addUser

          User addUser(java.lang.String id)

    - #### addUser

          User addUser(java.lang.String id,
                       java.lang.String password)

    - #### addUser

          User addUser(IPasswordCredentials credentials)

      Since:
        4.3

    - #### setPassword

          User setPassword(java.lang.String id,
                           java.lang.String password)

      Since:
        4.3

    - #### removeRole

          Role removeRole(java.lang.String id)

    - #### removeGroup

          Group removeGroup(java.lang.String id)

    - #### removeUser

          User removeUser(java.lang.String id)

Copyright (c) 2014 Eike Stepper (Berlin, Germany) and others.
All rights reserved. This program and the accompanying materials are made available under the terms of the Eclipse Public License v1.0 which accompanies this distribution, and is available at http://www.eclipse.org/legal/epl-v10.html